Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockResponseStateManager

    java.lang.Object
      javax.faces.render.ResponseStateManager
          org.jboss.seam.mock.MockResponseStateManager

    public class MockResponseStateManager

extends javax.faces.render.ResponseStateManager

Field Summary

Fields inherited from class javax.faces.render.ResponseStateManager
`RENDER_KIT_ID_PARAM, VIEW_STATE_PARAM`

Constructor Summary
`MockResponseStateManager()`

Method Summary
`Object` | `getComponentStateToRestore(javax.faces.context.FacesContext ctx)`
`Object` | `getTreeStructureToRestore(javax.faces.context.FacesContext ctx, String x)`
`void` | `writeState(javax.faces.context.FacesContext ctx, javax.faces.application.StateManager.SerializedView viewState)`

Methods inherited from class javax.faces.render.ResponseStateManager
`getState, isPostback, writeState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockResponseStateManager

    public MockResponseStateManager()

Method Detail

### getComponentStateToRestore

    public Object getComponentStateToRestore(javax.faces.context.FacesContext ctx)

  Overrides:
    `getComponentStateToRestore` in class `javax.faces.render.ResponseStateManager`

### getTreeStructureToRestore

    public Object getTreeStructureToRestore(javax.faces.context.FacesContext ctx,
                                            String x)

  Overrides:
    `getTreeStructureToRestore` in class `javax.faces.render.ResponseStateManager`

### writeState

    public void writeState(javax.faces.context.FacesContext ctx,
                           javax.faces.application.StateManager.SerializedView viewState)
                    throws IOException

  Overrides:
    `writeState` in class `javax.faces.render.ResponseStateManager`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD